{% extends "clientpages/view.html" %}
{% load thumbnail generic_markup %}

{% block extrahead %}
<script type="text/javascript" src="{{MEDIA_URL}}flowplayer/flowplayer-3.1.2.min.js"></script>
{{ block.super }}

<script type="text/javascript">
$(function() {
    $('.videos a').click(function(e, autoplay) {
        var $container = $('.media');
        $container.empty().append('<a href="'+this.href+'" id="video-player"></a>');

        if (autoplay == null) autoplay = true;

        var playlist;
        if (autoplay) {
            playlist = [ { url: this.href } ];
        } else {
            playlist = [
                {
                    url: $(this).attr('data-image'),
                    scaling: 'fit',
                    autoPlay: true
                },
                {
                    url: this.href
                }
            ];
        }

        flowplayer("video-player", "{{MEDIA_URL}}flowplayer/flowplayer-3.1.2.swf", {
            clip: {autoPlay: autoplay},
            playlist:  playlist
        });
        
        $('<div class="caption"></div>').html($(this).attr('data-caption')).appendTo($container);
        $('.info > h1.title').html($(this).attr('data-title'));

        $('.videos a').removeClass('active');
        $(this).addClass('active');
        return false;
    });

    var video_id = '{{video.pk}}';
    $('.videos a#video_'+video_id).trigger('click');
    
});
</script>
{% endblock %}

{% block content %}
<div class="collection">
    <div class="media">
    </div>

    <div class="info">
        <h1 class="title">{{video.title}}</h1>
        
        {% if page.videos.published.count %}
        <div class="videos">
            <h4>Videos</h4>
            {% for video in page.videos.published %}
            <a href="{{video.mp4.url}}" id="video_{{video.pk}}" data-image="{{video.image.url}}" data-title="{{video.title}}" data-caption="{{video.caption|apply_markup|force_escape}}"{% if forloop.counter|divisibleby:'4'%} class="break"{% endif %}><img src="{% thumbnail video.image 100x75 crop,detail %}" alt="video" /></a>
            {% endfor %}
        </div>
        {% endif %}
    </div>
</div>
{% endblock %}
